RTADiscoveryProtocol

## Class DiscoveryClient

- java.lang.Object
- - RTADiscoveryProtocol.DiscoveryClient

-     public class DiscoveryClient
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RTADevice[]` | `discoverRTADevicesLocalBroadcast()`
    `static RTADevice[]` | `discoverRTADevicesLocalBroadcast(java.net.InetAddress ipaLocal)` Broadcasts a discovery request to your local network and listens for responses from RTA devices.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryClient

          public DiscoveryClient()

  - ### Method Detail

    - #### discoverRTADevicesLocalBroadcast

          public static RTADevice[] discoverRTADevicesLocalBroadcast()
                                                              throws java.net.UnknownHostException,
                                                                     java.io.IOException

      Returns:
        RTADevice[] - array of all RTA Devices discovered.
      Throws:
        `java.net.UnknownHostException`
        `java.io.IOException`

    - #### discoverRTADevicesLocalBroadcast

          public static RTADevice[] discoverRTADevicesLocalBroadcast(java.net.InetAddress ipaLocal)
                                                              throws java.net.UnknownHostException,
                                                                     java.io.IOException

      Broadcasts a discovery request to your local network and listens for responses from RTA devices. Even devices which aren't configured properly can be found with this method, because it requests the devices to respond to a multicast address, which allows the devices to ignore their default gateway, netmask, etc., and "just send" the response.
      Parameters:
        `ipaLocal` -
      Returns:
        The list of discovered devices.
      Throws:
        `java.net.UnknownHostException`
        `java.io.IOException`